From b659bb2a52724c66fbdaa1021033e2306c4ca037 Mon Sep 17 00:00:00 2001
From: Scott Lahteine <thinkyhead@users.noreply.github.com>
Date: Mon, 6 Jun 2022 19:06:03 -0500
Subject: [PATCH] =?UTF-8?q?=F0=9F=91=94=20Fix=20and=20comment=20use=5Fexam?=
 =?UTF-8?q?ple=5Fconfigs?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

---
 buildroot/bin/use_example_configs | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

diff --git a/buildroot/bin/use_example_configs b/buildroot/bin/use_example_configs
index 83c0f5485d2..bfd4aa612f0 100755
--- a/buildroot/bin/use_example_configs
+++ b/buildroot/bin/use_example_configs
@@ -1,8 +1,20 @@
 #!/usr/bin/env bash
+#
+# use_example_configs [repo:]configpath
+#
+# Examples:
+#   use_example_configs Creality/CR-10/CrealityV1
+#   use_example_configs release-2.0.9.4:Creality/CR-10/CrealityV1
+#
+# If a configpath has spaces (or quotes) escape them or enquote the path
+#
+
+CURR=$(git branch 2>/dev/null | grep ^* | sed 's/\* //g')
+[[ $CURR == "bugfix-2.0.x" ]] && BRANCH=bugfix-2.0.x || BRANCH=bugfix-2.1.x
 
 IFS=: read -r PART1 PART2 <<< "$@"
-[ -n "${PART2}" ] && { REPO="$PART1" ; RDIR="${PART2// /%20}" ; } \
-                  || { REPO=bugfix-2.0.x   ; RDIR="${PART1// /%20}" ; }
+[[ -n $PART2 ]] && { REPO="$PART1" ; RDIR="${PART2// /%20}" ; } \
+                || { REPO=$BRANCH  ; RDIR="${PART1// /%20}" ; }
 EXAMPLES="https://raw.githubusercontent.com/MarlinFirmware/Configurations/$REPO/config/examples"
 
 which curl >/dev/null && TOOL='curl -L -s -S -f -o wgot'
@@ -12,6 +24,8 @@ restore_configs
 
 cd Marlin
 
+echo "Fetching $RDIR configurations from $REPO..."
+
 $TOOL "$EXAMPLES/$RDIR/Configuration.h"     >/dev/null 2>&1 && mv wgot Configuration.h
 $TOOL "$EXAMPLES/$RDIR/Configuration_adv.h" >/dev/null 2>&1 && mv wgot Configuration_adv.h
 $TOOL "$EXAMPLES/$RDIR/_Bootscreen.h"       >/dev/null 2>&1 && mv wgot _Bootscreen.h